import java.util.*;

public class Foreuse{
	
	
	public Foreuse(ArrayList grille[][],String matiereStr,int coorX,int coorY,int etendueX,int etendueY){
		
		Entite objet=new Entite();
		
		int coY=coorY;
		for(int x=0;x<=etendueX;x++){
			coY=coorY;
			for(int y=0;y<=etendueY;y++){
			
				
        		
        		if(!grille[coorX][coY].isEmpty()){
					
						
		 			for(int i=0;i<grille[coorX][coY].size();i++){
					
		 					
			 			try{
			 					
			 					
			 				objet = (Entite) grille[coorX][coY].get(i);		
		 					
		 					
		 					String strType ;			
							strType = (objet.getClass().getName());
							
							if(strType.compareTo(matiereStr)==0){
								grille[coorX][coY].remove(objet);
							}
							
							
						}
						catch(NoSuchElementException exc){};
						
					}
				}
				
				
				
				coY++;
			}
			coorX++;
		}
		
	}
	
}